#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN12nNIPXIFP_1_07tDriver16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver16___ORBGetTObjectEv);
extern int _ZN12nNIPXIFP_1_07tDriver14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver14staticGetClassERi);
extern int _ZNK12nNIPXIFP_1_07tDriver8getClassERi;
nNIKAL100_mExportSymbol(_ZNK12nNIPXIFP_1_07tDriver8getClassERi);
extern int _ZN12nNIPXIFP_1_07tDriver13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver13___CPPKRLCastEPS0_PKPv);
extern int _ZN12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv);
extern int _ZN12nNIPXIFP_1_07tDriver13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv);
extern int _ZN12nNIPXIFP_1_017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_017getCurrentVersionERi);
extern int _ZN12nNIPXIFP_1_026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_026getOldestCompatibleVersionERi);
/* _ZN12nNIPXIFP_1_014compareVersionERK10tSSVersionS2_RiPKc=_1e4062d63c7ceb6322b546057922e9e3 */
extern int _1e4062d63c7ceb6322b546057922e9e3;
nNIKAL100_mExportSymbol(_1e4062d63c7ceb6322b546057922e9e3);
extern int _ZN12nNIPXIFP_1_07tDriver10___classIDE;
nNIKAL100_mExportSymbol(_ZN12nNIPXIFP_1_07tDriver10___classIDE);
/* _ZTv0_n24_N12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_9fb243f2054b1c650e2dfa6891dc056f */
extern int _9fb243f2054b1c650e2dfa6891dc056f;
nNIKAL100_mExportSymbol(_9fb243f2054b1c650e2dfa6891dc056f);
/* _ZTv0_n32_N12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_9404814b801e8c47a777684e7b01d281 */
extern int _9404814b801e8c47a777684e7b01d281;
nNIKAL100_mExportSymbol(_9404814b801e8c47a777684e7b01d281);
/* _ZTv0_n32_NK12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_2f4918e6f83295bdb43d2eb3376a2845 */
extern int _2f4918e6f83295bdb43d2eb3376a2845;
nNIKAL100_mExportSymbol(_2f4918e6f83295bdb43d2eb3376a2845);
/* _ZTv0_n40_NK12nNIPXIFP_1_07tDriver20___CPPKRLDynamicCastEPKPv=_40c269bcfc9f66b625d6c373dea89e8b */
extern int _40c269bcfc9f66b625d6c373dea89e8b;
nNIKAL100_mExportSymbol(_40c269bcfc9f66b625d6c373dea89e8b);
